> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get one customer (PMS)

> Returns a specific guest or customer profile from the property management system by their unique identifier.

**Learn more:**

* What is a customer? <a href="/unified-apis/pms/concepts/customer" target="_blank">↗</a>


## OpenAPI

````yaml get /consumers/{consumer_id}/pms/customers/{customer_id}
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/pms/customers/{customer_id}:
    get:
      tags:
        - Property Management System
        - customers
        - Customers
      summary: Get one customer (PMS)
      description: >-
        Returns a specific guest or customer profile from the property
        management system by their unique identifier.
      operationId: pms_get_customer
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
        - name: customer_id
          in: path
          required: true
          schema:
            type: string
            title: Customer Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PMSCustomerItem'
        '400':
          content:
            application/json:
              example:
                message: Error while trying to perform your request
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '404':
          content:
            application/json:
              examples:
                ERROR_CUSTOMER_NOT_FOUND:
                  value:
                    message: The customer could not be found
                    status: error
                    error_code: ERROR_CUSTOMER_NOT_FOUND
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Not Found
        '405':
          content:
            application/json:
              example:
                message: >-
                  The resource {Method} - {Resource} is not supported by
                  {ConnectorName}
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Method Not Allowed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '502':
          content:
            application/json:
              example:
                message: Error while trying to authenticate to {ConnectorName}
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Gateway
      security:
        - mcp_auth:
            - pms
            - pms.read
            - pms.customers
            - pms.customers.read
            - '800'
            - 800.r
            - 800.customers
            - 800.customers.r
components:
  schemas:
    PMSCustomerItem:
      properties:
        id:
          type: string
          title: Id
          description: Technical id in Chift
        source_ref:
          $ref: '#/components/schemas/Ref'
          description: Technical id in the target software
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
          description: First name of the customer. In case the customer is an individual.
          examples:
            - John
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
          description: Last name of the customer. In case the customer is an individual.
          examples:
            - Doe
        company_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Company Name
          description: Company name of the customer. In case the customer is a company.
          examples:
            - Acme Corp
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
          description: Phone number of the customer
          examples:
            - '+1234567890'
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          description: Email address of the customer
          examples:
            - john.doe@example.com
        account_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Account Number
          description: Number of the accounting account used (e.g. 701000)
          examples:
            - '701000'
        created_on:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created On
          description: Creation date of the customer
          examples:
            - '2023-09-25T12:00:00'
        addresses:
          anyOf:
            - items:
                $ref: '#/components/schemas/AddressItem'
              type: array
            - type: 'null'
          title: Addresses
          description: List of addresses related to the customer
        is_company:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Company
          description: Indicates if the client is an individual or a company.
          default: false
      type: object
      required:
        - id
        - source_ref
      title: PMSCustomerItem
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    Ref:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
          description: Technical id in the target software
        model:
          anyOf:
            - type: string
            - type: 'null'
          title: Model
          description: Name of the model/entity in the target software
      type: object
      title: Ref
    AddressItem:
      properties:
        address_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Address Type
          description: Type of the address
          examples:
            - home
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Name given to the address (e.g. 'home')
          examples:
            - Home
        street:
          anyOf:
            - type: string
            - type: 'null'
          title: Street
          description: Street name
          examples:
            - Main Street
        number:
          anyOf:
            - type: string
            - type: 'null'
          title: Number
          description: Number of the address
          examples:
            - '123'
        box:
          anyOf:
            - type: string
            - type: 'null'
          title: Box
          description: Box of the address
          examples:
            - A
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
          description: City name
          examples:
            - Paris
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Postal Code
          description: Postal code of the address
          examples:
            - '75000'
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
          description: 'Country, format: ISO 3166-1 codes.'
          examples:
            - FR
      type: object
      title: AddressItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````